=== zart/Makefile ===
#############################################################################
# Makefile for building: zart
# Generated by qmake (2.01a) (Qt 4.8.3) on: Wed Sep 18 12:58:07 2013
# Project:  zart.pro
# Template: app
# Command: /usr/bin/qmake -o Makefile zart.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_WEBKIT -DOPENCV2_HEADERS -D_IS_UNIX_ -Dcimg_display=0 -DQT_NO_DEBUG -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -ffast-math -Dcimg_use_fftw3 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I.. -Iinclude -I/usr/include/opencv -I../src -I.moc -I.ui
LINK          = g++
LFLAGS        = -Wl,-O1
LIBS          = $(SUBLIBS)  -L/usr/lib/i386-linux-gnu -lX11 ../src/libgmic.a -lopencv_core -lopencv_imgproc -lopencv_highgui -lopencv_ml -lopencv_video -lopencv_features2d -lopencv_calib3d -lopencv_objdetect -lopencv_contrib -lopencv_legacy -lopencv_flann -lfftw3 -lfftw3_threads -lQtXml -lQtGui -lQtNetwork -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = .obj/

####### Files

SOURCES       = src/WebcamGrabber.cpp \
		src/ImageView.cpp \
		src/MainWindow.cpp \
		src/ZArt.cpp \
		src/FilterThread.cpp \
		src/DialogAbout.cpp \
		src/CommandEditor.cpp \
		src/ImageConverter.cpp \
		src/DialogLicence.cpp .moc/moc_ImageView.cpp \
		.moc/moc_MainWindow.cpp \
		.moc/moc_FilterThread.cpp \
		.moc/moc_CommandEditor.cpp \
		qrc_zart.cpp
OBJECTS       = .obj/WebcamGrabber.o \
		.obj/ImageView.o \
		.obj/MainWindow.o \
		.obj/ZArt.o \
		.obj/FilterThread.o \
		.obj/DialogAbout.o \
		.obj/CommandEditor.o \
		.obj/ImageConverter.o \
		.obj/DialogLicence.o \
		.obj/moc_ImageView.o \
		.obj/moc_MainWindow.o \
		.obj/moc_FilterThread.o \
		.obj/moc_CommandEditor.o \
		.obj/qrc_zart.o
DIST          = /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/common/gcc-base.conf \
		/usr/share/qt4/mkspecs/common/gcc-base-unix.conf \
		/usr/share/qt4/mkspecs/common/g++-base.conf \
		/usr/share/qt4/mkspecs/common/g++-unix.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		zart.pro
QMAKE_TARGET  = zart
DESTDIR       = 
TARGET        = zart

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): .ui/ui_MainWindow.h .ui/ui_DialogAbout.h .ui/ui_DialogLicence.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: zart.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/common/gcc-base.conf \
		/usr/share/qt4/mkspecs/common/gcc-base-unix.conf \
		/usr/share/qt4/mkspecs/common/g++-base.conf \
		/usr/share/qt4/mkspecs/common/g++-unix.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/i386-linux-gnu/libQtXml.prl \
		/usr/lib/i386-linux-gnu/libQtGui.prl \
		/usr/lib/i386-linux-gnu/libQtNetwork.prl \
		/usr/lib/i386-linux-gnu/libQtCore.prl
	$(QMAKE) -o Makefile zart.pro
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/common/gcc-base.conf:
/usr/share/qt4/mkspecs/common/gcc-base-unix.conf:
/usr/share/qt4/mkspecs/common/g++-base.conf:
/usr/share/qt4/mkspecs/common/g++-unix.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/i386-linux-gnu/libQtXml.prl:
/usr/lib/i386-linux-gnu/libQtGui.prl:
/usr/lib/i386-linux-gnu/libQtNetwork.prl:
/usr/lib/i386-linux-gnu/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile zart.pro

dist: 
	@$(CHK_DIR_EXISTS) .obj/zart1.0.0 || $(MKDIR) .obj/zart1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .obj/zart1.0.0/ && $(COPY_FILE) --parents include/ImageView.h include/MainWindow.h include/WebcamGrabber.h include/FilterThread.h include/CommandEditor.h include/DialogAbout.h include/ImageConverter.h include/DialogLicence.h .obj/zart1.0.0/ && $(COPY_FILE) --parents zart.qrc .obj/zart1.0.0/ && $(COPY_FILE) --parents src/WebcamGrabber.cpp src/ImageView.cpp src/MainWindow.cpp src/ZArt.cpp src/FilterThread.cpp src/DialogAbout.cpp src/CommandEditor.cpp src/ImageConverter.cpp src/DialogLicence.cpp .obj/zart1.0.0/ && $(COPY_FILE) --parents ui/MainWindow.ui ui/DialogAbout.ui ui/DialogLicence.ui .obj/zart1.0.0/ && (cd `dirname .obj/zart1.0.0` && $(TAR) zart1.0.0.tar zart1.0.0 && $(COMPRESS) zart1.0.0.tar) && $(MOVE) `dirname .obj/zart1.0.0`/zart1.0.0.tar.gz . && $(DEL_FILE) -r .obj/zart1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: .moc/moc_ImageView.cpp .moc/moc_MainWindow.cpp .moc/moc_FilterThread.cpp .moc/moc_CommandEditor.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) .moc/moc_ImageView.cpp .moc/moc_MainWindow.cpp .moc/moc_FilterThread.cpp .moc/moc_CommandEditor.cpp
.moc/moc_ImageView.cpp: include/ImageView.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) include/ImageView.h -o .moc/moc_ImageView.cpp

.moc/moc_MainWindow.cpp: .ui/ui_MainWindow.h \
		include/WebcamGrabber.h \
		include/WebcamGrabber.ih \
		include/FilterThread.h \
		include/Common.h \
		include/MainWindow.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) include/MainWindow.h -o .moc/moc_MainWindow.cpp

.moc/moc_FilterThread.cpp: include/Common.h \
		include/FilterThread.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) include/FilterThread.h -o .moc/moc_FilterThread.cpp

.moc/moc_CommandEditor.cpp: include/CommandEditor.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) include/CommandEditor.h -o .moc/moc_CommandEditor.cpp

compiler_rcc_make_all: qrc_zart.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_zart.cpp
qrc_zart.cpp: zart.qrc \
		presets.xml \
		Licence_CeCILL_V2-en.html \
		images/zoom-original.png \
		images/Logo_150.png \
		images/zoom-fit-best.png \
		images/gmic_hat.png \
		images/application-exit.png \
		images/camera.png \
		images/media-playback-start.png \
		images/LogoGreyc.png \
		images/media-playback-stop.png
	/usr/bin/rcc -name zart zart.qrc -o qrc_zart.cpp

compiler_image_collection_make_all: .ui/qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) .ui/qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: .ui/ui_MainWindow.h .ui/ui_DialogAbout.h .ui/ui_DialogLicence.h
compiler_uic_clean:
	-$(DEL_FILE) .ui/ui_MainWindow.h .ui/ui_DialogAbout.h .ui/ui_DialogLicence.h
.ui/ui_MainWindow.h: ui/MainWindow.ui \
		include/ImageView.h \
		include/CommandEditor.h
	/usr/bin/uic-qt4 ui/MainWindow.ui -o .ui/ui_MainWindow.h

.ui/ui_DialogAbout.h: ui/DialogAbout.ui
	/usr/bin/uic-qt4 ui/DialogAbout.ui -o .ui/ui_DialogAbout.h

.ui/ui_DialogLicence.h: ui/DialogLicence.ui
	/usr/bin/uic-qt4 ui/DialogLicence.ui -o .ui/ui_DialogLicence.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_rcc_clean compiler_uic_clean 

####### Compile

.obj/WebcamGrabber.o: src/WebcamGrabber.cpp include/Common.h \
		include/WebcamGrabber.h \
		include/WebcamGrabber.ih
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/WebcamGrabber.o src/WebcamGrabber.cpp

.obj/ImageView.o: src/ImageView.cpp include/ImageView.h \
		include/Common.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/ImageView.o src/ImageView.cpp

.obj/MainWindow.o: src/MainWindow.cpp include/Common.h \
		include/DialogAbout.h \
		.ui/ui_DialogAbout.h \
		include/DialogLicence.h \
		.ui/ui_DialogLicence.h \
		include/ImageConverter.h \
		include/ImageView.h \
		include/MainWindow.h \
		.ui/ui_MainWindow.h \
		include/WebcamGrabber.h \
		include/WebcamGrabber.ih \
		include/FilterThread.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/MainWindow.o src/MainWindow.cpp

.obj/ZArt.o: src/ZArt.cpp include/WebcamGrabber.h \
		include/WebcamGrabber.ih \
		include/Common.h \
		include/MainWindow.h \
		.ui/ui_MainWindow.h \
		include/FilterThread.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/ZArt.o src/ZArt.cpp

.obj/FilterThread.o: src/FilterThread.cpp include/FilterThread.h \
		include/Common.h \
		include/ImageConverter.h \
		include/WebcamGrabber.h \
		include/WebcamGrabber.ih
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/FilterThread.o src/FilterThread.cpp

.obj/DialogAbout.o: src/DialogAbout.cpp include/DialogAbout.h \
		.ui/ui_DialogAbout.h \
		include/Common.h
