=== debian/changelog ===
gmic (1.5.7.1-4) unstable; urgency=low

  * [223f8c2f] Simplyfy optimization setting selection.
    Low memory always results in -O0 now.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 13 Oct 2013 14:34:39 +0200

gmic (1.5.7.1-3) unstable; urgency=low

  * [08debe3f] Build with -O1 on slow architectures.

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 12 Oct 2013 23:37:24 +0200

gmic (1.5.7.1-2) unstable; urgency=low

  * [6c37ae00] Updating description as suggested by upstream.
  * [ef5bff79] Drop -mtune=generic option from upstream's Makefile.
    Thanks to KiBi (Closes: #725525)

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 06 Oct 2013 22:10:09 +0200

gmic (1.5.7.1-1) unstable; urgency=low

  * [8093b566] Merge tag 'upstream/1.5.5.2'
    Upstream version 1.5.5.2
  * [847b448f] Refreshing patches.
  * [4c998e58] Updating changelog
  * [a1021632] Drop kfreebsd-support patch, it was applied upstream.
  * [fe31bbc1] Imported Upstream version 1.5.7.0
  * [9c47c7df] Imported Upstream version 1.5.7.1
    - Should build fine under hurd (Closes: #705708,
      thanks to Pino Toscano).
    - Upstream tarball doesn't need to be repackaged anymore, dropping
      +dfsg from version number.
  * [abd7c2cb] Different hack to enable building on machines with low ram.
    Instead of disabling all optimizations, use
    -fno-tree-pre on machines with low ram / slow cpus.
  * [a8882c63] Use MANDATORY_LDFLAGS/MANDATORY_CFLAGS.
  * [9507d072] Fix passing MANDATORY_* flags to make.
  * [3af37ccf] Add missing library symlink for devel package.
  * [b17c2c9a] Add libgmic1 and libgmic-dev.
  * [d92ef057] Fix gmic.install and dh_install calls.
  * [967b8767] Refreshing patches.
  * [d81f1188] Remove special git-import-orig rules from debian/gbp.conf
  * [0e043a5c] Remove dh_auto_configure override. zart/Makefile is not
    being shipped in the tarball anymore.
  * [33ae4a9b] Fixing various lintian warnings.
  * [00ead79b] Merge branch 'upstream'
    Upstream tarball re-release with fixes for our lintian errors.
    Thanks, David!
  * [ec797fd5] Revert "Remove dh_auto_configure override."
    This reverts commit 0e043a5c876613884c3ace8ad7a7ebcbfb4deef9.
  * [23229c12] Revert "Add missing library symlink for devel package."
    This reverts commit 3af37ccfc8da06d5247e42e9bfb9149686cd2e5e.
  * [9ed51a86] Add patch fixing ldconfig-symlink-referencing-wrong-file.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 22 Sep 2013 21:43:33 +0200
