=== debian/control ===
--- 
+++ 
@@ -6,9 +6,14 @@
  dpkg-dev (>= 1.16.0),
  dh-exec (>=0.3),
  libgimp2.0-dev (>= 2.4),
- libavcodec-dev, libavformat-dev, libswscale-dev,
  libx11-dev, libxrandr-dev, libfftw3-dev | fftw3-dev,
- libopencv-highgui-dev, libopencv-objdetect-dev, libopencv-imgproc-dev, libopenexr-dev, libqt4-dev
+ libopencv-core-dev,
+ libopencv-highgui-dev,
+ libopencv-objdetect-dev,
+ libopencv-imgproc-dev,
+ libopenexr-dev,
+ libqt4-dev,
+ libilmbase-dev
 Standards-Version: 3.9.4
 Homepage: http://gmic.sourceforge.net/
 Vcs-Git: git://anonscm.debian.org/collab-maint/gmic.git
